/*
This file is part of the Remote ImageJ.
 
(c) 2011 INSERM
This software is developed at Montpellier RIO Imaging (IFR 122), Montpellier, France (www.mri.cnrs.fr)
Developer: Volker Baecker (volker.baecker@mri.cnrs.fr) 

The Remote ImageJ allows to run ImageJ macros on a distant machine.

This software is governed by the CeCILL-B license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL-B
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-B license and that you accept its terms. 
*/
package fr.cnrs.mri.remoteij.server.rfs;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import fr.cnrs.mri.remoteij.server.ServerConsole;
import fr.cnrs.mri.remoteij.server.ServerPane;
import fr.cnrs.mri.remoteij.server.ServerView;

public class RFSServerConsoleView extends ServerView {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private ServerConsole model;
	private ServerPane serverPane;  //  @jve:decl-index=0:

	/**
	 * This is the default constructor
	 */
	public RFSServerConsoleView() {
		super();
		model = new RFSServerConsole();
		initialize();
	}

	public RFSServerConsoleView(RFSServerConsole model) {
		super();
		this.model = model;
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 227);
		this.setContentPane(getJContentPane());
		this.setTitle("Remote Filesystem Server Console");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getServerPane(), BorderLayout.NORTH);
		}
		return jContentPane;
	}

	private ServerPane getServerPane() {
		if (serverPane==null) serverPane = new ServerPane(model);
		return serverPane;
	}

}
