package tests.fr.cnrs.mri.remoteij.queueManager;

import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import fr.cnrs.mri.remoteij.queueManager.QueueManager;
import fr.cnrs.mri.sijame.connection.SIJAMEServer;

public class QueueManagerTest {

	@Before
	public void setUp() throws Exception {
	}

	@Test
	public void testIsRunning() {
		QueueManager queueManager = new QueueManager(4000);
		assertFalse(queueManager.isRunning());
		queueManager.start();
		assertTrue(queueManager.isRunning());
		queueManager.stop();
		assertFalse(queueManager.isRunning());
	}
	
	@Test
	public void testStart() {
		QueueManager queueManager = new QueueManager(4000);
		assertFalse(queueManager.isRunning());
		queueManager.start();
		assertTrue(queueManager.isRunning());
		queueManager.start();
		assertTrue(queueManager.isRunning());
		queueManager.stop();
		queueManager.start();
		assertTrue(queueManager.isRunning());
		assertTrue(SIJAMEServer.currentForPort(4000).getRequestQueue().countObservers()==1);
		assertTrue(SIJAMEServer.currentForPort(4000).getAnswerQueue().countObservers()==1);
		queueManager.stop();
	}
	
	@Test
	public void testStop() {
		QueueManager queueManager = new QueueManager(4000);
		assertFalse(queueManager.isRunning());
		queueManager.stop();
		assertFalse(queueManager.isRunning());
		queueManager.stop();
		assertFalse(queueManager.isRunning());
		queueManager.start();
		queueManager.stop();
		assertFalse(queueManager.isRunning());
		assertTrue(SIJAMEServer.currentForPort(4000).getRequestQueue().countObservers()==0);
		assertTrue(SIJAMEServer.currentForPort(4000).getAnswerQueue().countObservers()==0);
	}
}
